# 62. Mutatie: bedrijven delen

Batch delen van bedrijven met gebruikers binnen de "Organisatie" of voor externe gebruikers. Er zijn twee gevallen om de mutatie toe te passen. Het eerste geval is batch "Bedrijf" delen via een e-maillijst.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie DeelBedrijvenVoorbeeld {
  deelBedrijven(
    input: {
      bedrijfUuids: ["bedrijf_uuid1", "bedrijf_uuid2"]
      e-mails: ["gebruiker1@gmail.com", "gebruiker2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    naam
    farmOwnership
    aanmaakdatum
    updatedDate
    e-mail
  }
}

```

{% endcode %}

En het tweede geval is het instellen van de vlag ‘allFarms=true’ voor de lijst van "Gebruikers" in de "Organisatie", wat betekent dat alle nieuwe bedrijven binnen de "Organisatie" toegankelijk zullen zijn voor deze "Gebruikers".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie DeelBedrijvenVoorbeeld {
  deelBedrijven(
    input: { 
      e-mails: ["gebruiker@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    naam
    farmOwnership
    aanmaakdatum
    updatedDate
    e-mail
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/62.-mutatie-bedrijven-delen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
